org.apache.hc.core5.http2.hpack

## Class HPackEncoder

- java.lang.Object
- - org.apache.hc.core5.http2.hpack.HPackEncoder

-     @Internal
      public final class HPackEncoder
      extends Object

  HPACK encoder.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HPackEncoder(Charset charset)`
    `HPackEncoder(CharsetEncoder charsetEncoder)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeHeader(ByteArrayBuffer dst, Header header)`
    `void` | `encodeHeader(ByteArrayBuffer dst, String name, String value, boolean sensitive)`
    `void` | `encodeHeaders(ByteArrayBuffer dst, List<? extends Header> headers, boolean useHuffman)`
    `int` | `getMaxTableSize()`
    `void` | `setMaxTableSize(int maxTableSize)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HPackEncoder

          public HPackEncoder(Charset charset)

    - #### HPackEncoder

          public HPackEncoder(CharsetEncoder charsetEncoder)

  - ### Method Detail

    - #### encodeHeader

          public void encodeHeader(ByteArrayBuffer dst,
                          Header header)
                            throws CharacterCodingException

      Throws:
        `CharacterCodingException`

    - #### encodeHeader

          public void encodeHeader(ByteArrayBuffer dst,
                          String name,
                          String value,
                          boolean sensitive)
                            throws CharacterCodingException

      Throws:
        `CharacterCodingException`

    - #### encodeHeaders

          public void encodeHeaders(ByteArrayBuffer dst,
                           List<? extends Header> headers,
                           boolean useHuffman)
                             throws CharacterCodingException

      Throws:
        `CharacterCodingException`

    - #### getMaxTableSize

          public int getMaxTableSize()

    - #### setMaxTableSize

          public void setMaxTableSize(int maxTableSize)

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.